Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451032 - Syndication page - update_uri field
Summary: Syndication page - update_uri field
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Collaboration Applications
Classification: Retired
Component: Wordpress
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: srividya rapur
URL: https://propaganda-wpmu-mt.usersys.re...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 14:36 UTC by Ricky Broadnax
Modified: 2008-10-06 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 15:25:02 UTC


Attachments (Terms of Use)
Automated Test Failure Information (deleted)
2008-06-12 14:36 UTC, Ricky Broadnax
no flags Details

Description Ricky Broadnax 2008-06-12 14:36:52 UTC
Description of problem: XXS able to add property to DOM, this page is very
vulnerable


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1.  Log into:  https://propaganda-wpmu-mt.usersys.redhat.com/wordpress-mu/wp-admin/
2.  Logged in as admin
3.  Clicked the Syndication link
4.  Run the XXS automated testing tool test all forms top attacks

Actual results: Test had errors, able to add property to DOM, this page is very
vulnerable. 



Expected results: Test passed.


Additional info:

Comment 1 Ricky Broadnax 2008-06-12 14:36:52 UTC
Created attachment 309073 [details]
Automated Test Failure Information

Comment 2 burak serdar 2008-06-13 14:54:04 UTC
The update_uri field value ended up on the page unescaped. Changed the plugin
code so it is printed after passing through htmlspecialchars().

Comment 3 Bret McMillan 2008-06-14 17:08:27 UTC
Code is now up on blogs.corp.redhat.com

Comment 4 David Lawrence 2008-10-06 16:34:59 UTC
Moving to product "Red Hat Collaboration Applications".


Note You need to log in before you can comment on or make changes to this bug.